package com.tuoheng.admin.conver;

import com.tuoheng.admin.entity.IotEquipment;
import com.tuoheng.admin.request.iotequipment.AddIotEquipmentRequest;
import com.tuoheng.admin.request.iotequipment.EditIotEquipmentRequest;
import com.tuoheng.admin.vo.IotEquipmentVo;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface IotEquipmentConverMapper {

    IotEquipmentConverMapper INSTANCE = Mappers.getMapper(IotEquipmentConverMapper.class);

    List<IotEquipmentVo> fromIotEquipmentToIotEquipmentVoList(List<IotEquipment> iotEquipmentList);

    IotEquipmentVo fromIotEquipmentToIotEquipmentVo(IotEquipment iotEquipment);

    IotEquipment fromAddIotEquipmentToIotEquipment(AddIotEquipmentRequest request);

    IotEquipment fromEditIotEquipmentToIotEquipment(EditIotEquipmentRequest request);
}
